Subject: Re: [BUG] e100: eth0 appers many times in /proc/interrupts after resume

From: Auke Kok <[email-masked]>
Date: Mon, 22 Jan 2007 16:15:29 -0800

Frederik Deweerdt wrote:
> On Sun, Jan 21, 2007 at 01:45:27PM -0800, Auke Kok wrote:
>> Frederik Deweerdt wrote:
>>> On Sun, Jan 21, 2007 at 09:17:41PM +0200, Andrei Popa wrote:
>>>> It's the 10th resume and in /proc/interrupts eth0 appers 10 times.
>>> The e100_resume() function should be calling netif_device_detach and
>>> free_irq. Could you try the following (compile tested) patch?
>> I just fixed suspend/shutdown for e100 in 2.6.19, not sure why the problem still shows up. Since it's a driver/net issue, you 
>> should CC netdev on it tho, otherwise it might go unnoticed.
> Thanks for adding the CC
>> I'll open up the can-o-worms on this issue and see what's up with it.
>>
>> I'm not so sure that this patch is OK, and I wonder why it stopped working, because I spent quite some time fixing it only a 
>> few months ago. Did swsup change again? sigh...
> 
> I may well be wrong (It appears that most of the time I am :)), but the
> unbalanced netif_device_attach (in resume) looks suspicious.  resume()
> also calls request_irq, so calling free_irq on suspend seemed logical.

I just tested the patch and looked it over again. The patch works good and 
indeed fixes the problem, and netconsole works great. It even shows much of the 
suspend/resume over the wire, something which I can't remember seeing before 
with netconsole. reboot -f also works OK.

I'll push the patch upstream, thanks!

Auke